### Function

# Gimp Selection float

#### Declaration [src]

    GimpLayer*
    gimp_selection_float (
      GimpImage* image,
      gint n_drawables,
      GimpDrawable** drawables,
      gint offx,
      gint offy
    )

#### Description [src]

Float the selection from the specified drawable with initial offsets as specified.

This procedure determines the region of the specified drawable that lies beneath the current selection. The region is then cut from the drawable and the resulting data is made into a new layer which is instantiated as a floating selection. The offsets allow initial positioning of the new floating selection.

#### Parameters

`image` | `GimpImage`
| Ignored.
| The data is owned by the caller of the function.
`n_drawables` | `gint`
| Size of `drawables`.
`drawables` | An array of `GimpDrawable*`
| The drawables from which to float selection.
| The length of the array is specified in the `n_drawables` argument.
| The data is owned by the caller of the function.
`offx` | `gint`
| X offset for translation.
`offy` | `gint`
| Y offset for translation.

#### Return value

Returns: | `GimpLayer`
| The floated layer.
| The data is owned by the called function.